Description

Code syntax highlighting in Wiki only works with Textile formatting. However it could/should be formatting-independent. So that any

Wiki formatting that produces some < code class="xyz" > (spaces added to prevent parsing) gets a syntax-highlighted code.

Currently the code is at source:trunk/lib/redmine/wiki_formatting/textile/formatter.rb@5386#L50. However I guess a more generic

variant of the code could be moved to source:trunk/app/helpers/application_helper.rb besides textilizable, parse_*, replace_toc, ...

History

#1 - 2011-04-10 16:36 - Ebrahim Mohammadi

I messed up the description by not escaping a <code> tag. I wish I could update the description.

#2 - 2011-04-10 17:11 - Mischa The Evil

- Tracker changed from Defect to Feature

- Category set to Text formatting

Fixed description and tracker (it seems a feature-request to me) and selected category.

#3 - 2011-04-14 13:55 - Ebrahim Mohammadi

Another choice is implementing a formatting-independent syntax highlighter in client side, using something like Sunlight.

#4 - 2011-04-24 18:43 - Ebrahim Mohammadi

Another JavaScript and CSS based client-side option is Google's Code Prettifier.

#5 - 2011-05-07 01:03 - Ebrahim Mohammadi

Yet another client-side syntax highlighter, but this one already has a Rails plugin: https://github.com/antono/sh2
